@charset "utf-8";

.title {
  display: flex;
  justify-content: center;
  align-items: center;
}

h1 {
  margin: 0;
  font-size: clamp(1.4rem, 2rem, 2.8rem);
  writing-mode: vertical-rl;
  letter-spacing: 20px;
  line-height: 3;
}


/* 創作和食 */
.food-container {
  width: 90%;
  max-width: 1300px;
  margin: 0 auto;
  margin-bottom: 15rem;
}

.content {
  margin-bottom: 15rem;
}

.content img {
  width: 45%;
  height: auto;
  margin: 0 auto 5rem;
}

.content h2,
.content p {
  text-align: center;
}

.content h2::after {
  content: "";
  display: block;
  width: 200px;
  height: 1px;
  background-color: #b2b2b2;
  margin: 2rem auto;
}


/* とある日の夕食 & 朝食 */
.dinner,
.bf {
  max-width: 1000px;
  margin: 0 auto 15rem;
  line-height: 1.7;
}

.dinner h3,
.bf h3 {
  text-align: left;
  letter-spacing: 8px;
  margin-bottom: 1rem;
}

.gallery img {
  width: 100%;
  height: 60vh;
  object-fit: cover;
  border: 1px solid #b2b2b2;
  padding: 1rem;
}

.slick-track {
  margin: 1% 20%;
}

.vertical {
  width: 100%;
  writing-mode: vertical-rl;
  align-content: center;
}

h4 {
  text-align: center;
  line-height: 3.5;
  font-weight: 600;
  margin-left: 2rem;
}

.vertical th {
  height: 140px;
}

.vertical td {
  display: flex;
}



/* とある日の朝食 */
.bf {
  margin-bottom: 30rem;
}

.bf h3 {
  margin-bottom: 3rem;
}

.dish {
  display: flex;
  align-items: flex-start;
  position: relative;
  gap: 13rem;
}

/* 左：大きい画像 */
.dish1 {
  flex: 0 0 40%;
  max-width: 40%;
  height: auto;
  object-fit: cover;
}

/* 右：テキスト */
.bf .vertical {
  flex: 1;
  max-width: 40%;
  height: auto;
  line-height: 2.3;
}

/* 下寄りセンターに重ねる小さい画像 */
.dish2 {
  position: absolute;
  bottom: -45%;
  left: 50%;
  transform: translateX(-50%);
  width: 25%;
  height: auto;
  object-fit: cover;
}


/* お食事処 */
.cafeteria {
  line-height: 1.5;
  text-align: center;
}

.cafeteria h3 {
  letter-spacing: 8px;
  margin-bottom: 2rem;
}

.cafeteria img {
  width: 50%;
  height: auto;
  object-fit: contain;
  margin: 5rem auto 10rem;
}


/* 注意書き */
.warning {
  text-align: center;
}

.warning::before,
.warning::after {
  content: "";
  display: block;
  width: 90%;
  height: 1px;
  background-color: #b2b2b2;
  margin: 25px auto;
}



/* フッター */
.flex2 li:nth-of-type(3):hover {
  color: white;
}

.flex2 :nth-of-type(3)::after {
  content: "";
  display: block;
  width: 110px;
  height: 1px;
  background-color: #b2b2b2;
}




/* レスポンシブ設定 */
@media (max-width: 767px) {
  .scroll {
    display: none;
  }

  .title {
    width: 100%;
    border: none;
    margin: 0 auto 5rem;
    height: 70vh;
  }

  .title h1 {
    margin: 0 auto;
  }

  .food-container {
    width: 85%;
    margin: 0 auto 5rem;
  }

  .content h2 {
    font-size: 1.4rem;
    line-height: 1.5;
  }

  .content h2::after {
    width: 100px;
  }

  .content {
    margin-bottom: 10rem;
  }

  .content p {
    font-size: 1.3rem;
    text-align: left;
  }

  .content img {
    width: 75%;
    height: auto;
    margin-bottom: 2rem;
  }

  .dinner {
    margin-bottom: 8rem;
  }

  .dinner h3,
  .bf h3 {
    letter-spacing: 0;
    margin-bottom: 0;
  }

  .dinner img {
    height: auto;
    object-fit: cover;
    padding: .5rem;
    margin-top: 1rem;
  }

  .vertical {
    writing-mode: horizontal-tb;
    font-size: 1.2rem;
  }

  .vertical h4 {
    margin: 1rem 0;
  }

  .vertical th {
    height: auto;
  }

  .vertical td {
    margin-left: 2rem;
  }



  .dish {
    flex-direction: column;
    gap: 1rem;
  }

  .dish1 {
    max-width: 100%;
    margin-top: 1rem;
  }

  .dish2 {
    display: none;
  }

  .bf {
    margin-bottom: 8rem;
  }

  .bf .vertical {
    max-width: 100%;
    writing-mode: horizontal-tb;
  }

  .cafeteria img {
    width: 100%;
    height: auto;
    margin-top: 2rem;
    margin-bottom: 3rem;
  }

  .warning {
    margin-bottom: 80px;
  }

  .warning p {
    width: 100%;
    text-align: left;
    margin: 0 auto;
  }


  .warning::before,
  .warning::after {
    margin: 1rem auto;
    width: 100%;
  }

  .line {
    display: none;
  }

}